Firefox banner prompts me to update Nightly

VERIFIED FIXED

Status

VERIFIED FIXED
6 years ago
3 years ago

People

(Reporter: lmandel, Unassigned)

Tracking

Details

I was reading Chelsea's post [1] with Nightly 16 and noticed that the banner ad on the page prompted me to Upgrade Your Firefox. I think the banner should understand the versions of Beta, Aurora, and Nightly and not prompt these channels to upgrade. I'm guessing that this should be as easy as detecting the Firefox version and only showing upgrade if version < release.

[1] http://chelseanovak.wordpress.com/2012/06/08/help-users-on-firefox-3-6-get-the-upgrade-message/
Thanks Lawrence for filing.

Rik, mkelly - anything we can do for above?
Lawrence: Thanks. Actually the website knows about Firefox versions. We just haven't updated the data. Short term, I've updated the data in https://github.com/mozilla/affiliates/commit/67a6bd9201fdf294e4b8802a0795f86be9cf4f5d. This will be fixed with the next push to production. Sometimes this week.

Long term, we should make the update part of the release process. I've opened bug 765782 for that.
Status: NEW → RESOLVED
Last Resolved: 6 years ago
Component: affiliates.mozilla.org banners → affiliates.mozilla.org
QA Contact: affiliates-mozilla-org-banners → affiliates-mozilla-org
Resolution: --- → FIXED
(Assignee)

Updated

6 years ago
Product: Websites → Firefox Affiliates
Bumping to verified per comment 2
Status: RESOLVED → VERIFIED
(Assignee)

Updated

3 years ago
Product: Firefox Affiliates → Firefox Affiliates Graveyard
You need to log in before you can comment on or make changes to this bug.